import request from '@/utils/request'

// 查询费用信息列表
export function listFees(query) {
  return request({
    url: '/basicdata/fees/list',
    method: 'get',
    params: query
  })
}

// 查询费用信息详细
export function getFees(fId) {
  return request({
    url: '/basicdata/fees/' + fId,
    method: 'get'
  })
}

// 新增费用信息
export function addFees(data) {
  return request({
    url: '/basicdata/fees',
    method: 'post',
    data: data
  })
}

// 修改费用信息
export function updateFees(data) {
  return request({
    url: '/basicdata/fees',
    method: 'put',
    data: data
  })
}

// 删除费用信息
export function delFees(fId) {
  return request({
    url: '/basicdata/fees/' + fId,
    method: 'delete'
  })
}

// 导出费用信息
export function exportFees(query) {
  return request({
    url: '/basicdata/fees/export',
    method: 'get',
    params: query
  })
}